# $Id: aus.spec,v 1.20 2016/01/08 14:25:38 heinz Exp $
Summary: Advanced Update System
Name: aus
Version: 0.1.99.82.3w_o_ocarpml
Release: 1
# URL: not yet..
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%(%{__id_u} -n)-rpmroot
BuildRequires: ocaml make gcc rpm-devel ncurses-devel ocamlrpmvercmp
Requires: rpm wget lftp
# ocamlrpmvercmp

%description
The successor of SUS, the simple update system.
AUS is a frontend to rpm, apt and yum.

%prep
%setup -q

%build 
make

%install 
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p /var/cache/aus

%postun
if [ $1 = 0 ]
then
	rm -rf /var/cache/aus
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CHANGELOG VERSION aus.conf
/sbin/aus
/bin/compsxml2groups-rhel5
/bin/compsxml2groups-rhel6
/bin/compsxml2groups-rhel7
%{_unitdir}/aus.service
/etc/cron.daily/aus

%changelog
* Sun Mar  7 2004 Heinz Deinhart <heinz@nix.at>
- Initial build.
